html, body, div, span, applet, object, iframe,  h1, h2, h3, h4, h5, h6, p, blockquote, pre,  a, abbr, acronym, address, big, cite, code,  del, dfn, em, font, img, ins, kbd, q, s, samp,  small, strike, strong, sub, sup, tt, var,  b, u, i, center,  dl, dt, dd, ol, ul, li,  fieldset, form, label, legend,  table, caption, tbody, tfoot, thead, tr, th, td {
	margin: 0;
	padding: 0;
	border: 0;
	outline: 0;
	font-size: 100%;
	vertical-align: baseline;
	background: transparent;
}
ul{list-style: none;}
div {
      -moz-user-select:none;
      -webkit-user-select:none;
      user-select:none;
}

body{
	color: #333;
    font: 13px/1.5 tahoma,arial,'Hiragino Sans GB','Hiragino Sans GB W3','Microsoft Yahei',\5b8b\4f53;
}
body,html,.app{
	position: relative;
	width: 100%;
	height: 100%;
	overflow: hidden;
}
.app{

	min-width: 850px;
	min-height: 600px;
}
.side{
	position: absolute;
	left: 0;
	width: 50px;
	height:100%;
}
.side .main{
	width: 30px;
	padding: 10px;
	background: rgb(62,62,64);
	height:100%;
}
.side .main img{
	width: 30px;
	border-radius: 3px;
	margin-bottom: 20px;
}
.side .main span{
	display: block;
	overflow:hidden;
}
.sicon {
    height: 30px;
    margin-right:10px;
    margin-bottom: 30px;
    cursor: pointer;
}
.sicon path {
    fill: #999;
}
.active .sicon path{
	fill: #40C5FF;
}


.linkman{
	position: absolute;
	left: 50px;
	width: 249px;
	border-right: 1px solid rgb(224,224,224);
	height: 100%;
}
.linkman .main{
	width: 100%;
	height: 100%;
	background: rgb(234,234,234);
}
.linkman .main .header{
	height: 25px;
    padding: 10px;
}
.linkman .main .header input[type=search]{
	height: 23px;
    width: 195px;
    border: 1px solid #aaa;
    background-color: rgb(239,239,239);
}
.linkman .main .header input[type=search]:focus{
      outline: 0;
      box-shadow:none;
}
#btn-add{
	float: right;
	display: block;
	width: 25px;
	height: 25px;
	font-style: normal;
	text-align: center;
	line-height: 25px;
	font-size: 1.2em;
	background-color: rgb(220,220,220);
	cursor: pointer;
}
#btn-add:hover{
	background-color: rgb(209,209,209);
}
.linkman .main .body{
	height: calc(100% - 45px);
	overflow-y:hidden;
	overflow-x: hidden;
}
.linkman .main .body:hover{
	overflow-y:scroll;
}

.menu-content {
    max-height: 0;
    overflow: hidden;
    /* font-family: 'Oswald', sans-serif;  */
    /* padding: 0 0 0 50px; */
}

.linkman .main .body .collapsible-menu .menu-content ul li{
	display: block;
	width: calc(100% - 20px);
	height: 35px;
	padding: 10px;
	cursor: pointer;
}
.linkman .main .body .collapsible-menu .menu-content ul li:hover{
	background-color: rgb(226,228,230);
}
.linkman .main .body .collapsible-menu .menu-content ul li.active:hover{
	background-color:rgb(202,205,211);
}
.linkman .main .body .collapsible-menu .menu-content ul li.active{
	background-color:rgb(202,205,211);
}
.linkman .main .body .collapsible-menu .menu-content ul li img{
	width: 30px;
	border-radius: 3px;
}
#session li{
	display: block;
	width:calc(100% - 20px);
	height: 45px;
	padding:10px;
}
#session li img {
	width: 40px;
	border-radius: 3px;
}
.collapsible-menu ul {
    list-style-type: none;
    padding: 0;
}
.collapsible-menu img{
	width: 20px;
	border-radius: 3px;
	margin-left: 20px;
	margin-bottom: 10px;
}
.collapsible-menu label {
    /* font-family: 'Sedgwick Ave Display', cursive; */
    /* font-size: 18px;
    display: inline-block;
    cursor: pointer;
		margin-left: 7px;
    width: 100px; */
		display: inline-block;
	    font-size: 16px;
	    color: #333;
	    margin-left: 7px;
	    width: 100px;
	    white-space: nowrap;
	    overflow: hidden;
	    text-overflow: ellipsis;
	    line-height: 40px;
    /* background: url(../img/menu-button.png) no-repeat left center; */
    padding: 10px 0 0 10px;
}
/* input#queuingmenu #tokenmenu #chatbotmenu {
    display: none;
} */
/* input:checked ~ .menu-content {
    max-height: 100%;[]
} */
.menuactive > .menu-content {
    max-height: 100%;[]
}
.abc{
	height: 25px!important;
    padding-top: 0!important;
    padding-bottom: 0!important;
    line-height: 25px;
    background-color: rgb(225,225,225);
}
.nick-name{
	display: inline-block;
    font-size: 16px;
    color: #333;
    margin-left: 7px;
    width: 100px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    line-height: 40px;
}

::-webkit-scrollbar {
	width: 6px;
	background-color: transparent;
}
::-webkit-scrollbar-thumb {
	border-radius: 2px;
	background-color: rgb(201,201,201);

}
::-moz-scrollbar {
	width: 6px;
	background-color: transparent;
}
::-moz-scrollbar-thumb {
	border-radius: 2px;
	background-color: rgb(201,201,201);
}
.popup{
	position: absolute;
	left: 50px;
	width: calc(100% - 50px);
	height: 100%;
	z-index: 99;
}
.popup iframe{
	position: absolute;
	/* left: 25px; */
	width: 100%;
	height: 100%;
	z-index: 99;
}
#chat{
	position: absolute;
    right: 0;
    width: calc(100% - 250px);
    height: 100%;
    background-color: #f5f5f5;
}
.chat{
	position: absolute;
	width: 100%;
	height: 100%;
	display: none;
}
.chat-active{
	display: block;
}
.chat .main{
	width: 100%;
	height: 100%;
	background: rgb(245,245,245);
}
.chat .main .footer{
	position: absolute;
    bottom: 0;
    width: 100%;
    height: 139px;
    background: rgb(249,249,249);
    border-top: 1px solid rgb(236,236,236);
}
.footer .box{
	position: relative;
	width: 100%;
	height: 100%;
}
.message{
	height: calc(100% - 140px);
}
.message .head{
	height: 50px;
}
.message .head p{
	line-height: 50px;
    text-align: center;
    color: #222;
}
.message .body{
	width: 100%;
	height: calc(100% - 50px);
	overflow-x: hidden;
    overflow-y: hidden;
}
.message .body:hover{
	overflow-y: scroll;
}
.message .body ul li img{
	float: left;
	width: 32px;
}
.message .body ul li{
	overflow:hidden;
	margin: 15px;
	padding: 5px;
}
.message .body ul li .icon{
	float: right;
	width: 35px;
	height: 40px;
}
.icon span{
	display: block;
}
.message .body ul li img.mehead{
	float: right;
	width: 32px;
}
.message .body ul li .speak{
	background-color: rgb(158,234,106);
    padding: 4px 8px;
    border-radius: 5px;
    display: inline-block;
    font-size: 16px;
    color: #333;
    margin-left: 10px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.message .body ul li .mespeak{
	float: right;
	background-color: rgb(255, 255, 255);
    border: 1px solid #f5f5f5;
    padding: 4px 8px;
    border-radius: 5px;
    display: inline-block;
    font-size: 16px;
    color: #333;
    margin-right: 10px;
    /* white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis; */
		max-width: 400px;
}
.amountnum{
	float: right;
	font-size:14px;
	margin-right: 30px;
	margin-top: 20px;
}
span.grey {
  background: #cccccc;
  border-radius: 0.8em;
  -moz-border-radius: 0.8em;
  -webkit-border-radius: 0.8em;
  color: #fff;
  display: inline-block;
  font-weight: bold;
  line-height: 1.6em;
  margin-right: 15px;
  text-align: center;
  width: 1.6em;
}

.help-block {
  display: inline-block;
  margin-top: 15px !important;
  margin-bottom: 10px !important;
  margin-right: 5px;
	margin-left: 5px;
  color: #c8c8c8;
  font-size: smaller;
}
.footer .box .head{
	height: 20px;
    width: calc(100% - 20px);
    padding: 10px;
}
.footer .box .body{
	height: 60px;
    width: 100%;
}
.input{
	max-width: calc(100% - 30px);
	min-width: calc(100% - 30px);
	max-height: 35px;
	min-height: 15px;
    font-size: 1.2em;
    font-weight: 500;
    padding: 30px 10px;
    border: 0;
    background-color: transparent;
}
.input:focus{
      outline: 0;
      box-shadow:none;
}

.footer .box .foot{
	height: 40px;
    width: 100%;
}
.send{
	float: right;
    display: block;
    padding: 3px 6px;
    border: 1px solid #e1e1e1;
    color: #7a7b7a;
    text-decoration: none;
    margin-right: 10px;
    margin-top: 5px;
}

.takeover, .livehangup, .transfer{
	float: right;
    padding: 3px 6px;
    border: 1px solid #e1e1e1;
    color: #7a7b7a;
    text-decoration: none;
    margin-right: 10px;
}
.transfer{
	display: none;
}
.isDisabled {
	border-radius: 50%;
	float: right;
  color: currentColor;
  cursor: not-allowed;
  opacity: 0.5;
  text-decoration: none;
	margin-right: 10px;
}

.icon {
    height: 20px;
    margin-right:10px;
    cursor: pointer;
}
.icon path {
    fill: #999;
}
.icon:hover path{
	fill: #40C5FF;
}
#addpanal{
	display:none;
	top: 50px;
    left: 150px;
    width: 450px;
    height: 330px;
    position: absolute;
}
#settingpanal{
	display:none;
	top: 50px;
    left: 150px;
    width: 450px;
    height: 330px;
    position: absolute;
}

#demands{
	display: none;
	padding: 9px;
	bottom: 134px;
	left: 332px;
	width: 150px;
	min-height: 40px;
	position: absolute;
	border-radius: 5px;
}
#demands span{
	display: block;
	width: 130px;
	text-align: center;
	cursor: pointer;
}
#demands span:hover{
	background: #f5f5f5;
}

#emoji{
	display: none;
	padding: 9px;
    bottom: 134px;
    left: 312px;
    width: 360px;
    min-height: 100px;
    position: absolute;
    overflow: hidden;
    font-size: 19px;
    border-radius: 5px;
}
#emoji span{
	display: inline-block;
    width: 20px;
    display: inline-block;
    width: 30px;
    text-align: center;
    cursor: pointer;
}
#emoji span:hover{
	background: #f5f5f5;
}

#transferAgent{
	display: none;
	padding: 10px;
	width: 200px;
	min-height: 40px;
	position: absolute;
	border-radius: 5px;
	right:10px;
	top:23%!important;
}
.transfering, .cancelTrans{
	display: inline-block;
	background-color: transparent;
}

.shadow{
	background: #fff;
	cursor: default;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.3);
    -webkit-box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.3);
    -moz-box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.3);
    z-index: 99;
}

#newfirend{
	height: 40px;
    width: 40px;
    border-radius: 3px;
    background-color: rgb(250,157,59);
    display: inline-block;
}

.imageMsg{
	height: 220px!important;
	border-radius: 3px;
	width: unset!important;
	cursor: pointer;
}

.outline{
	display: none;
	position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: #000;
		opacity: 50%;
}
.outline img{
    width: 60px;
    position: absolute;
    left: 49%;
    top: 47%;
}
